import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

  const routes = [
  {
    path: '/login',
    name: 'login',
    component: () => import(/* webpackChunkName: "login" */ '../views/login.vue')
  }, {
    path: '/',
    name: 'Home',
    component: () => import(/* webpackChunkName: "Home" */ '../views/Home.vue')
  },
    {
      path: '/rooms',
      name: 'Room',
      component: () => import(/* webpackChunkName: "Room" */ '../views/Room.vue')
    },
    {
      path: '/room/:id',
      name: 'RoomView',
      component: () => import(/* webpackChunkName: "RoomView" */ '../views/RoomView.vue')
    }
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
