import Vue from 'vue'
import './plugins/axios'
import JanusPlugin from "@/plugins/janus"
import App from './App.vue'
import vuetify from './plugins/vuetify';
import router from './router'
import store from './store'


Vue.config.productionTip = false
new Vue({
  vuetify,
  JanusPlugin,
  router,
  store,
  render: h => h(App)
}).$mount('#app')
